import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
#import japanize_matplotlib      #     グラフ内で日本語表記を用いるときのみ必要
import scipy.stats as ss


finnm =  input('入力データファイル（*.xlsx）= ')
txtoutnm = input('出力ファイル（*.txt）= ')
txtout = open(txtoutnm, 'w')
with pd.ExcelFile(finnm) as xlsx_fl:
    data_xlsx = pd.read_excel(xlsx_fl, header = None)
data = data_xlsx.values
print('\n', data)

xname = data[0,1]
yname = data[0,2]
temps = data[1:, 1] 
hums = data[1:, 2]  
#
#          ピアソンの相関係数の算出と検定
#
results = ss.pearsonr(temps, hums)
r = results.statistic
p = results.pvalue
vL, vU = results.confidence_interval(0.95)

plt.scatter(temps, hums)
plt.xlabel(xname)
plt.ylabel(yname)
plt.title(f'r = {r:.3f},  p-value = {p:.5f}\n95%CI = [{vL:.3f}, {vU:.3f}]')
plt.show()

txtout.write('\nInput Data File = ' + txtoutnm + '\n')
txtout.write(f'\nData...\n{data}\n')
txtout.write(f'\nr = {r:.3f},  p-value = {p:.5f}' +
             f',  95%CI = [{vL:.3f}, {vU:.3f}]')

txtout.close()
print('\n' + txtoutnm + ' was saved.\n')
